TemplateException (XDoclet 1.2.3 API)
Keywords: xdoclet.template.TemplateException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.template
Class TemplateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              xdoclet.template.TemplateException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  XDocletException

public class TemplateException
extends Exception

Version:
  $Revision: 1.5 $
Author:
  Ara Abrahamian (ara_e@email.com)
See Also:
  Serialized Form
created
  Oct 14, 2001

Constructor Summary
`TemplateException(Exception nestedException, String msg)` Describe what the TemplateException constructor does
`TemplateException(String msg)` Describe what the TemplateException constructor does

Method Summary
`Exception` | `getNestedException()` Gets the NestedException attribute of the TemplateException object

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TemplateException

    public TemplateException(String msg)

  Describe what the TemplateException constructor does

Parameters:
  `msg` - Describe what the parameter does

### TemplateException

    public TemplateException(Exception nestedException,
                             String msg)

  Describe what the TemplateException constructor does

Parameters:
  `nestedException` - Describe what the parameter does
  `msg` - Describe what the parameter does

Method Detail

### getNestedException

    public Exception getNestedException()

  Gets the NestedException attribute of the TemplateException object

  Returns:
    The NestedException value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD